Bug 54831 - Files always have +x in vfat (2.4.9-6) even with noexec
Summary: Files always have +x in vfat (2.4.9-6) even with noexec
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-20 13:13 UTC by Carlos Rodrigues
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-07 02:27:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carlos Rodrigues 2001-10-20 13:13:26 UTC
Description of Problem:
In vfat filesystems files always appear with execute permissions turned on even when using the noexec option. But with the noexec option files can't be executed (as usual) even if they are showing +x for all.


Version-Release number of selected component (if applicable):
2.4.9-6

How Reproducible:
Always

Steps to Reproduce:
1. mount a vfat filesystem with the noexec option
2. do a ls in some directory with files

Actual Results:
All files have execute permissions

Expected Results:
Files should't have execute permissions.

Additional Information:

Comment 1 Carlos Rodrigues 2001-11-10 13:19:23 UTC
The problem still persists with RedHat 7.2's 2.4.9-13.


Comment 2 Charles Sullivan 2001-11-12 16:55:09 UTC
With version 2.4.9-12 at least, the problem appears to be in the
display of permissions.  If I copy a simple bash shell script to
a vfat partition, I can actually execute it if I mount the partition
with the option 'exec' but not with the option 'noexec'.  (In either
case the permission is displayed as executable.)
If I reboot Linux using my previous kernel 2.4.3-12, the execute
permissions are correctly displayed.

Comment 3 Carlos Rodrigues 2002-05-22 16:03:57 UTC
The option "showexec" is a decent workaround (although .exe and .com files 
still appear green).


Note You need to log in before you can comment on or make changes to this bug.